﻿using Monnit;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SampleMineApplication
{
    public partial class UpdateTemperatureSensor : Form
    {
        public UpdateTemperatureSensor(Monnit.Mine.Sensor sens)
        {
            InitializeComponent();
            sensor = sens;
            hbtxtbx.Text = sensor.ReportInterval.ToString();
            ashtxtbx.Text = sensor.ActiveStateInterval.ToString();
            aphtxtbx.Text = sensor.MeasurementsPerTransmission.ToString();
            minthreshtxtbx.Text = (sensor.MinimumThreshold / 10).ToString();
            maxthreshtxtbx.Text = (sensor.MaximumThreshold / 10).ToString();
            hysttxtbx.Text = (sensor.Hysteresis / 10).ToString();
            ftblmtxtbx.Text = sensor.Recovery.ToString();
        }

        public Monnit.Mine.Sensor sensor { get; set; }

        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            double? hb = double.Parse(hbtxtbx.Text);
            double? ahb = double.Parse(ashtxtbx.Text);
            int? aphb = int.Parse(aphtxtbx.Text);
            double? min = double.Parse(minthreshtxtbx.Text);
            double? max = double.Parse(maxthreshtxtbx.Text);
			double? hyst = double.Parse(hysttxtbx.Text);
			int? failedtrans = int.Parse(ftblmtxtbx.Text);
           
            try
            {
				TemperatureBase.SensorEdit(sensor, hb, ahb, aphb, min, max, hyst, failedtrans);
				this.Close();
            }
            catch (Exception ex)
            {
                MessageBox.Show("Failed to Update");
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.Dispose();
        }
    }
}